--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: These are the options that can be used when creating a new CyberSource Gateway object.
- !ruby/struct:SM::Flow::P 
  body: ":login =&gt; your username"
- !ruby/struct:SM::Flow::P 
  body: ":password =&gt; the transaction key you generated in the Business Center"
- !ruby/struct:SM::Flow::P 
  body: ":test =&gt; true sets the gateway to test mode"
- !ruby/struct:SM::Flow::P 
  body: ":vat_reg_number =&gt; your VAT registration number"
- !ruby/struct:SM::Flow::P 
  body: ":nexus =&gt; &quot;WI CA QC&quot; sets the states/provinces where you have a physical presense for tax purposes"
- !ruby/struct:SM::Flow::P 
  body: ":ignore_avs =&gt; true don't want to use AVS so continue processing even if AVS would have failed"
- !ruby/struct:SM::Flow::P 
  body: ":ignore_cvv =&gt; true don't want to use CVV so continue processing even if CVV would have failed"
full_name: ActiveMerchant::Billing::CyberSourceGateway::new
is_singleton: true
name: new
params: (options = {})
visibility: public
